{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Flutter",
            "type": "dart",
            "request": "launch",
            "program": "lib/main.dart",
            "flutterMode": "debug",
            "args": [],
            "debugExtensionBackend": false,
            "noDebug": false
        },
        {
            "name": "Flutter (Samsung Device)",
            "type": "dart",
            "request": "launch",
            "program": "lib/main.dart",
            "flutterMode": "debug",
            "args": [
                "--hot",
                "--purge-persistent-cache"
            ],
            "debugExtensionBackend": false,
            "noDebug": false
        },
        {
            "name": "Flutter (Release)",
            "type": "dart",
            "request": "launch",
            "program": "lib/main.dart",
            "flutterMode": "release",
            "args": []
        },
        {
            "name": "Flutter (Profile)",
            "type": "dart",
            "request": "launch",
            "program": "lib/main.dart",
            "flutterMode": "profile",
            "args": []
        },
        {
            "name": "Flutter Web",
            "type": "dart",
            "request": "launch",
            "program": "lib/main.dart",
            "flutterMode": "debug",
            "args": ["-d", "chrome", "--web-renderer", "html"]
        }
    ]
} 